/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */


/*****************************************************************************
*
*  MODULE :             basename
*  SCOPE :              return basename in a file name
*  FILE :               basename.cc
*  AUTHORS :            E. Abecassis
*  CREATION DATE :      August 1, 1993
*  COPYRIGHTS :        (C) E. Abecassis, 1993
*  HISTORY :
*
******************************************************************************/

#include <string.h>
#include <stdlib.h>


char* yoo_basename(char* name) {

  char* beg = strrchr(name,'/') ;
  if (beg==NULL) { 
    beg = name ;
  } else {
    beg++ ;
  }

  char* end = strrchr(beg,'.') ;
  end = end == NULL ? &name[strlen(name)] : end ;
  
  char* res = new char[end-beg+1] ;
  strncpy(res,beg,(unsigned long)end-(unsigned long)beg) ;
  res[(unsigned long)end-(unsigned long)beg] = 0 ;

  return res ;
}


